#! /bin/sh
. "$(dirname "$0")"/fixDNS.sh

# @param String message - The message to log
readonly LOG_MESSAGE_COMMAND=$(basename "${0}")
logMessage()
{
	echo "$(date '+%a %b %e %T %Y') $LOG_MESSAGE_COMMAND: "${@} >> "${SCRIPT_LOG_FILE}"
}

################# START HERE ####################

readonly SCRIPT_LOG_FILE="/var/log/tbeard/vigilant.log"

FINDPORT=$1

DEFAULT_INTERFACE=`netstat -nr |
										grep -m1 default |
										awk '{ if ($1 == "default") print $NF }'`

NETSET=`networksetup -listnetworkserviceorder |
				grep -m1 $DEFAULT_INTERFACE |
				awk '{ split($0, a, ":"); split(a[2], b, ","); print b[1] }' |
				sed -e 's/^[ \t]*//'`


ISENABLED=`networksetup -getwebproxy "$NETSET" |
           grep "^Enabled:" |
					 awk -F': ' '{print $NF}'`


logMessage "PSID: $PSID"
logMessage "FINDPORT: $FINDPORT"
logMessage "NETSET: $NETSET"
logMessage "isEnabled: $ISENABLED"

if [ $ISENABLED == "Yes" ]; then
	logMessage "Proxy enabled"
	PORT=`networksetup -getwebproxy "$NETSET" |
	      cut -d':' -f2 |
				head -3 |
				tail -n 1`

	if [ $PORT == $FINDPORT ]; then
		logMessage "Found port: ${PORT}"
		logMessage "Disabling Proxy"
		networksetup -setwebproxystate "$NETSET" off
		logMessage "Running DNS fix"
		fix_dns
	fi
fi
