#! /bin/sh
. "$(dirname "$0")"/fixDNS.sh

# @param String message - The message to log
readonly LOG_MESSAGE_COMMAND=$(basename "${0}")
logMessage()
{
	echo "$(date '+%a %b %e %T %Y') TunnelBear $LOG_MESSAGE_COMMAND: "${@} >> "${SCRIPT_LOG_FILE}"
}

################# START HERE ####################

readonly SCRIPT_LOG_FILE="/var/log/tbeard/vigilant.log"

PORT=$1

DEFAULT_INTERFACE=`netstat -nr |
									 grep -m1 default |
									 awk '{ if ($1 == "default") print $NF }'`

NETSET=`networksetup -listnetworkserviceorder |
				grep -m1 $DEFAULT_INTERFACE |
				awk '{ split($0, a, ":"); split(a[2], b, ","); print b[1] }' |
				sed -e 's/^[ \t]*//'`

ISENABLED=`networksetup -getwebproxy "$NETSET" |
					 grep "^Enabled:" |
					 awk -F': ' '{print $NF}'`

if [ "$ISENABLED" == "No" ]; then
	logMessage "Enabling proxy"
	networksetup -setwebproxy "$NETSET" 127.0.0.1 $PORT
  logMessage "Running DNS fix"
	fix_dns
fi

logMessage `networksetup -getwebproxy "$NETSET"`
