#! /bin/sh

fix_dns()
{
	# networksetup clears Setup:/ DNS settings,
	# fix them up by copying from State
	scutil <<- EOF
		open

		d.init
		get State:/Network/Service/${PSID}/DNS
		set Setup:/Network/Service/${PSID}/DNS

		d.init
		get State:/Network/Global/DNS
		set Setup:/Network/Global/DNS

		quit
	EOF
}

reset_dns()
{
	# remove DNS Setup keys from data store
	scutil <<- EOF
		open
		remove Setup:/Network/Service/${PSID}/DNS
		remove Setup:/Network/Global/DNS
		quit
	EOF
}


################# START HERE ####################

OPERATION="$1"

PSID="$(
	scutil <<-EOF |
		open
		show State:/Network/Global/IPv4
		quit
	EOF
	grep PrimaryService | sed -e 's/.*PrimaryService : //'
)"

if [ "$OPERATION" == "reset" ]; then
  reset_dns
elif [ "$OPERATION" == "fix" ]; then
  fix_dns
fi
